#include <stdio.h>
#include <sys/stat.h>		/** for stat() call */
#include <dirent.h>
#include <string.h>


#include "global.h"
#include "custom.h"

#include "manhat-lib/shared_util.h"
#include "manhat-lib/shared_super_util.h"
#include "manhat-lib/shared_authenticate.h"
#include "manhat-lib/shared_cs_util.h"







int
main ()
{

  char key[MAX_KEY + 1];	/* from id=? command line */
  SESSION user;

  cs_cgi_init();
  read_param ( key);
  validate_super_key (key, &user);	/* shared_super_util.c*/
  cs_set_int_value("display_close", 1);
  cs_cgi_display("super_chat_enter", 1);
  cs_cgi_destroy(); 
  return 0;			/* exit successfully */

}

